<?php

global $arDomainConfig;
get_header();

$title = $arDomainConfig['page_title'];

if(empty($title)) {
    $title = get_the_title();
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <h1 class="entry-title"><?php print($title); ?></h1>
    </header><!-- .entry-header -->

    <div class="entry-content">
    <?php while ( have_posts() ) : the_post(); ?>
        <?php

        if(empty($arDomainConfig['page_id'])) {
            the_content();

        }else{
            $post_object = get_post($arDomainConfig['page_id']);
            echo do_shortcode(wpautop($post_object->post_content));   
        }

        ?>
    <?php endwhile; // end of the loop. ?>
    </div><!-- .entry-content -->
</article><!-- #post-## -->

<section class="call-to-action">
    <div class="inner">
        <?php if($arDomainConfig['price_button_text'] != '' || isset( $wp_customize )) : ?>
        <a href="<?php print($arDomainConfig['price_button_link']); ?>" class="button primary">
            <span class="text"><?php print($arDomainConfig['price_button_text']); ?></span> 
            <span class="price-discounted"><?php print($arDomainConfig['price_discount']); ?></span> 
            <span class="price"><?php print($arDomainConfig['price_original']); ?></span> 
        </a>
        <?php endif; ?>

        <?php if($arDomainConfig['offer_button_text'] != '' || isset( $wp_customize )) : ?>
        <a href="<?php print($arDomainConfig['offer_button_link']); ?>" class="button secondary"><?php print($arDomainConfig['offer_button_text']); ?></a>
        <?php endif; ?>
    </div>
</section>

<?php if($arDomainConfig['gai_profile_id'] != '' || isset( $wp_customize )) : ?>
<section class="statistics">
    <div class="inner">
        <?php get_template_part( 'partials/google-analytics-chart' ); ?>
    </div>
</section>
<?php endif; ?>

<?php get_footer();