(function($) {
	"use strict";

	$(document).ready(function() {
		$('#one_click_setup_wrapper').on('click', 'a.button', function(e) {
			e.preventDefault();

			$.ajax({
				type: "post",
				url: ajaxurl,
				dataType: 'json',
				data: {action: "setup_demo"},

				beforeSend: function() {
					$('#one_click_setup_wrapper a.button').hide();
					$('#one_click_setup_wrapper span.spinner').show();
				},

				success: function(response) { 

					if(typeof response != 'undefined') {
						var $result = $('#one_click_setup_wrapper div.import_result');
						
						$('#one_click_setup_wrapper span.spinner').hide();
						
						if(response.hasOwnProperty('status')) {
	
							switch(response.status) {
								case 'success':
									$result.html('Completed!');
									break;

								case 'error':
								default:
									$result.html('<font color="red">' + response.data + '</font>');
									break;
							}

						}else{
							$result.html('<font color="red">' + response + '</font>');
						}
					}
				},

				error: function(response) {
					var $result = $('#one_click_setup_wrapper div.import_result');
					$result.html('<font color="red">' + response.responseText + '</font>');
				}
			});
		});
	});

})(jQuery);