<?php

/**
* 
* Widget: My Domains (lists all parked domains)
* Author: Andrew Kallemeyn <ak@vective.co>
* @package domenatwo
*
*/

class Domena_My_Domains_Widget extends WP_Widget {
    
    /** @see WP_Widget::__construct */
    public function __construct( $id_base = false, $name = 'Domena: My Domains For Sale', $widget_options = array(), $control_options = array() ){
        $widget_options = array(
            'classname' => 'my_domains_widget',
            'description' => __('A widget that displays all your domains for sale.', 'domenatwo')
        );

        $this->options = array(
            array (
                'name'  => 'title',
                'label' => __('Title', 'domenatwo'),
                'type'  => 'text'
            )
        );

        parent::__construct( $id_base, __($name), $widget_options, $control_options );  
    }    
    
    /** @see WP_Widget::form */
    public function form( $instance ) {
        foreach ( $this->options as $val ) {
            $label = '<label for="'.$this->get_field_id($val['name']).'">'.$val['label'].'</label>';
            echo '<p>'.$label.'<br />';
            echo '<input class="widefat" id="'.$this->get_field_id($val['name']).'" name="'.$this->get_field_name($val['name']).'" type="text" value="'.esc_attr($instance[$val['name']]).'" /></p>';
        }

        echo '<p>To add domains to this widget, manage your domains under "Parked Domains" in the <a href="' . admin_url('customize.php') . '">theme customizer</a>.</p>';
    }

    /** @see WP_Widget::widget */
    public function widget( $args, $instance ) {
		$theme_options 	= thsp_cbp_get_options_values();
        $arDomains      = array();

        if(!empty($theme_options['domain_list'])) {
		  $arDomains		= explode('|', $theme_options['domain_list']);
		  asort($arDomains);
        }

        $title = $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];
        
        echo $args['before_widget'], $title, '<div class="my-domains-widget">';

        if(!empty($arDomains)) {
            echo '<ul>';
            foreach( $arDomains as $domain ){
                echo '<li><a href="//'.$domain.'">',$domain,'</a></li>';
            }
            echo '</ul>';

        }else{
            if(current_user_can( 'manage_options' )) {
                echo '<p>To add domains to this widget, add domains under "Parked Domains" in the <a href="' . admin_url('customize.php') . '">theme customizer</a>.</p>';

            }else{
                echo '<p>';
                _e('Coming soon!', 'domenatwo');
                echo '</p>';               
            }
        }

        echo '</div>',$args['after_widget'];
    }
    
}

function domena_my_domains_register_widget(){
    return register_widget('Domena_My_Domains_Widget');
}

add_action( 'widgets_init', 'domena_my_domains_register_widget' );