/**
 * Theme Customizer enhancements custom fields, most notably the "Parked Domains" control
 *
 */

// Holds the status of whether or not the rest of the code should be run
var init = true;
var $control;

( function( $ ) {
	"use strict";

	//Updates the hidden field
	var updateDomainListing = function(e) {
   		var values  = [];
   		var id = $control.find('.parked-domains-list').prop('id');

		$control.find('ul input').each(function(index, input) {
			var domain = $(input).val();

			$(input).val(domain);

			//cleanup input
			domain = $.trim(domain);

			values.push(domain);
		});

		wp.customize.instance(id).set(values.join('|'));
	}

	$(window).load(function() {
	 	$control = $('#domenatwo-parked-domains');

	    // Prevents code from running twice due to live preview window.load firing in addition to the main customizer window.
	    if( true == init ) {
	        init = false;
	    } else {
	        return;
	    }

	    $control.on('blur', 'input', updateDomainListing);

		$control.on('keyup', 'input', function(e) {
			//this is a trick to get the "save" button active in the WP customizer
			var id 		= $control.find('.parked-domains-list').prop('id');
			var value 	= $control.find('.parked-domains-list').val() + " ";
			wp.customize.instance(id).set(value);
		});

	    $control.on('click', 'a.delete-domain', function(e) {
			e.preventDefault();

			var domain = $(this).parent().find('input').val();

			if(confirm("Are you sure you want to delete " + domain + "?")) {
				$(this).parent().remove();
				updateDomainListing();
			}
	    });

		$control.on('click', 'input.add-domain', function() {
			$control.find('ul').append('<li><input type="text">&nbsp;&nbsp;<a href="#" class="delete-domain">Delete</a></li>');
		});
	});

} )( jQuery );