<?php

/**
 * Toolbar used in WP admin customizer
 * @package domenatwo
 */

global $arDomainConfig;

$theme_options = thsp_cbp_get_options_values();

?>
<div id="customize-toolbar">
	<form action="<?php print($_SERVER['REQUEST_URI']); ?>" method="post">
		<div class="toolbar">
			<div class="inner">
				<?php if(!empty($theme_options['domain_list'])) : ?>
				<p>Domain:</p>
				<?php $arDomains = explode('|', $theme_options['domain_list']); ?>
				<select name="domains">
					<?php foreach($arDomains as $domain) : ?>
						<?php if(!empty($domain)) : ?>
						<option><?php print($domain); ?></option>
						<?php endif; ?>
					<?php endforeach; ?>
				</select>
				<?php endif; ?>
				<a href="#" class="reload-page" style="display:none">
					<span class="fa fa-refresh"></span>
				</a>
				<ul>
					<li class="panel-content"><a><span class="fa fa-code"></span> Content</a></li>
					<li class="panel-colors"><a><span class="fa fa-tint"></span> Colors</a></li>
					<li class="panel-google-analytics"><a><span class="fa fa-bar-chart-o"></span> Google Analytics</a></li>
					<li class="panel-price"><a><span class="fa fa-usd"></span> Price</a></li>
				</ul>
			</div>
		</div>

		<div class="panels-container" style="display:none">
			<div id="panel-content" class="panel" style="display:none">
				<div class="inner">
					<h5>Homepage</h5>
					<ul>
						<li>
							<label>Title</label>
							<input type="text" name="page_title" value="" placeholder="Title" />
						</li>
						<li>
							<label>Content</label>
							<?php wp_dropdown_pages(array('show_option_none' => 'Default', 'option_none_value' => '')); ?>
							(<a href="<?php print(admin_url('edit.php?post_type=page')); ?>" class="add-pages">add more content</a> through Wordpress)
						</li>
					</ul>
				</div>
			</div>

			<div id="panel-colors" class="panel" style="display:none">
				<div class="inner">
					<div class="column">
						<h5>Accent Color</h5>
						<ul class="options">
							<li><label><input name="color_scheme_elements" type="radio" value="Green"> Green</label></li>
							<li><label><input name="color_scheme_elements" type="radio" value="Red"> Red</label></li>
							<li><label><input name="color_scheme_elements" type="radio" value="Blue"> Blue</label></li>
							<li><label><input name="color_scheme_elements" type="radio" value="Orange"> Orange</label></li>
						</ul>
					</div>

					<div class="column">
						<h5>Color Scheme</h5>
						<ul class="options">
							<li><label><input name="color_scheme_main" type="radio" value="Light"> Light</label></li>
							<li><label><input name="color_scheme_main" type="radio" value="Dark"> Dark</label></li>
						</ul>
					</div>
				</div>
			</div>

			<div id="panel-google-analytics" class="panel" style="display:none">
				<?php $data = get_option('gai_data'); ?>
				<div class="inner">
					<h5 class="analytics-logo">Google Analytics</h5>
					
					<?php if($data) : ?>
					<ul>
						<li class="gai-profile-id-label">
							<label>Profile</label>
							<select name="gai_profile_id">
									<option value="">- Disabled -</option>
								<?php foreach($data['domains'] as $profileID => $arDomainInfo) { ?>
									<option value="<?php print($profileID); ?>"><?php print($arDomainInfo['domainName'] . ' (' . $arDomainInfo['webPropertyID'] . ')'); ?></option>
								<?php } ?>
							</select>
						</li>
						<li class="gai-time-period-label">
							<label>Time Period</label>
							<select name="gai_time_period">
								<option value="7">7 Days</option>
								<option value="30">30 Days</option>
								<option value="90">90 Days</option>
							</select>
						</li>
					</ul>

					<!-- always reset the last updated value to clear cache after the user saves -->
					<input type="hidden" name="gai_last_updated" value="0" />
					<?php else: ?>
					<div class="ga-not-configured">
						<p>To begin using Google Analytics, <a href="<?php print(admin_url('options-general.php?page=ga-admin')); ?>">sign in to Google</a>.</p>
					</div>
					<input type="hidden" name="gai_profile_id" value="" />
					<input type="hidden" name="gai_time_period" value="" />
					<?php endif; ?>
				</div>
			</div>

			<div id="panel-price" class="panel" style="display:none">
				<div class="inner">
					<div class="column">
						<h5>"Buy Now" Price / Button</h5>
						<ul>
							<li>
								<label for="price_button_text">Button Text</label>
								<input name="price_button_text" id="price_button_text" size="15" type="text" value="" />
							</li>
							<li>
								<label for="price_button_link">Button Link</label>
								<input name="price_button_link" id="price_button_link" size="25" type="text" value="" />
							</li>
							<li>
								<label for="price_original">Discounted (Sale) Price</label>
								<input name="price_original" id="price_original" size="6" type="text" value="" />
							</li>
							<li>
								<label for="price_discount">Original Price - optional</label>
								<input name="price_discount" id="price_discount" size="6" type="text" value="" />
							</li>
						</ul>
					</div>

					<div class="column">
						<h5>"Make an Offer" Button</h5>
						<ul>
							<li>
								<label for="offer_button_text">Button Text</label>
								<input name="offer_button_text" id="offer_button_text" size="15" type="text" value="" />
							</li>
							<li>
								<label for="offer_button_link">Button Link</label>
								<input name="offer_button_link" id="offer_button_link" size="25" type="text" value="" />
							</li>
						</ul>
					</div>
				</div>
			</div>

			<div class="call-to-action">
				<div class="inner">
			        <button class="disabled" type="submit">Saved</button>
			        <button class="secondary">Close</button>
			        <div class="spinner" style="display:none"></div>
				</div>
			</div>
		</div>

		<input type="hidden" id="domain_name" name="domain_name" />
	</form>
</div>

<div id="loading-screen">
	<div class="spinner"></div>
</div>

<script type="text/javascript">
<?php print('var domain_config = ' . json_encode(domenatwo_get_all_domain_configs()) . '; '); ?>
</script>