<?php

/**
 * Display Google Analytics chart for current domain
 * @package domenatwo
 */

global $arDomainConfig;

$ga = new GoogleAnalytics($arDomainConfig['gai_profile_id']);
$gapi_data = array(
    'visits' => 0,
    'unique_visits' => 0,
    'page_views' => 0,
    'new_visits_percentage' => 0,
    'chart_url_large' => 'http://placehold.it/700x100',
    'chart_url_medium' => 'http://placehold.it/540x100',
    'chart_url_small' => 'http://placehold.it/300x100',
);

$ga->set_time_period($arDomainConfig['gai_time_period']);

if($arDomainConfig['gai_profile_id'] != '') {
    if($ga && $ga->has_token()) { 
        //check / update cache
        if($ga->has_token()) {
            try {
                $ga->check_cache();

            }catch(Exception $e) {
                //if something blows up while checking/updating cache, ignore it... 
                //we don't want to take down the entire site just because cache didn't update
            }
        }

        //get cached data from Google Analytics
        $gapi_data = $ga->get_cached_data();
        $gapi_data = $gapi_data[$arDomainConfig['gai_profile_id']];

        $gapi_data['chart_url_large']    = ga_format_chart_url($gapi_data['chart_url'], $arDomainConfig['color_scheme_elements'], $arDomainConfig['color_scheme_main'], '700', '100');
        $gapi_data['chart_url_medium']   = ga_format_chart_url($gapi_data['chart_url'], $arDomainConfig['color_scheme_elements'], $arDomainConfig['color_scheme_main'], '540', '100');
        $gapi_data['chart_url_small']    = ga_format_chart_url($gapi_data['chart_url'], $arDomainConfig['color_scheme_elements'], $arDomainConfig['color_scheme_main'], '300', '100');
    }
}

?>

<h4><?php echo sprintf( __('Statistics - Last %s Days', 'domenatwo'), '<span class="time-period">' . $ga->get_time_period() . '</span>' ); ?></h4>
<ul>
    <li class="visits"><strong><?php print(ga_abbrNum($gapi_data['visits'])); ?></strong> Visits</li>
    <li class="unique-visits"><strong><?php print(ga_abbrNum($gapi_data['unique_visits'])); ?></strong> Unique Visitors</li>
    <li class="page-views"><strong><?php print(ga_abbrNum($gapi_data['page_views'])); ?></strong> Pageviews</li>
    <li class="new-visits-percentage"><strong><?php print($gapi_data['new_visits_percentage'] . '%'); ?></strong> New Visits</li>
</ul>

<img src="<?php print($gapi_data['chart_url_large']); ?>" class="large" />
<img src="<?php print($gapi_data['chart_url_medium']); ?>" class="medium" />
<img src="<?php print($gapi_data['chart_url_small']); ?>" class="small" />