<?php

/**
 * The template for "Live Preivew" toolbar
 *
 * @package domenatwo
 */

global $arDomainConfig;

$ga = new GoogleAnalytics($arDomainConfig['gai_profile_id']);
$gapi_data = array();

//get cached, unformatted graph URL and store it in a JS variable so we can dynamically switch the graph
if(isset($ga)) {
	$ga_cached_data = $ga->get_cached_data();
	$ga_cached_data = $ga_cached_data[$arDomainConfig['gai_profile_id']];
}

?>
<script type="text/javascript">
	var homeURL = "<?php print(home_url()); ?>";
	var templateDirectory = '<?php print(get_bloginfo('template_directory')); ?>';
	<?php if(isset($ga_cached_data['chart_url'])) { ?>
		var chartURL = '<?php print($ga_cached_data["chart_url"]); ?>';
	<?php } ?>
</script>

<textarea id="live-preview-toolbar-view" style="display:none">
	<div id="live-preview-toolbar">
		<div class="options">
			<h3>Customize:</h3>

			<div class="color_scheme">
				<select name="demo_options" class="demo_options">
					<option value="light">Color Scheme: Light</option>
					<option value="dark">Color Scheme: Dark</option>
				</select>
			</div>

			<div class="accent_color">
				<ul class="color_options">
					<li class="blue selected"><a href="#">Blue</a></li>
					<li class="orange"><a href="#">Orange</a></li>
					<li class="red"><a href="#">Red</a></li>
					<li class="green"><a href="#">Green</a></li>
				</ul>
			</div>
			
			<div class="message" style="display:none">
				<i class="fa fa-mobile"></i> <strong>Want to see this on mobile?</strong> Make your browser's width smaller.
			</div>
			
			<div class="purchase_options">
				<a href="#" class="purchase button primary"><i class="fa fa-shopping-cart"></i> &nbsp; <span class="purchase">Purchase</span><span class="buy">Buy</span></a>
			</div>
		</div>
	</div>
</textarea>