<?php

/**
 * Template Name: Shortcode Examples
 *
 * A developer sandbox for testing shortcodes (also a way to peek and see how they're used)
 *
 */

get_header();
ob_start();

?>
<div id="content" class="site-content" role="main">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<div class="inner">
				<h1 class="entry-title"><?php the_title(); ?></h1>
			</div>
		</header><!-- .entry-header -->

		<div class="inner">
			<div class="entry-content">

<!-- VIDEO -->
<div class="shortcode_feature highlight" id="section-video">
[symple_column size="two-fifth"]
	<h2>Video</h2>
	<p>With our video shortcodes, you can embed videos anywhere. Oh, and did we mention they are responsive? They'll work on any mobile device that supports video!</p>
	<p><a href="http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F">What sites can I embed from? &rarr;</a>
	<br /><br />
	<h4>Parameters</h4>
	<ul>
		<li><strong>align</strong> - left, center (default), right</li>
		<li><strong>aspect_ratio</strong> - 4:3, 16:9 (default), 21:9</li>
		<li><strong>width</strong> - every full number between 1 and 100 (the width of the video in percent)</li>
	</ul>
[/symple_column]

[symple_column size="three-fifth" position="last"]
[video]https://www.youtube.com/watch?v=s9_6bEsMmJc[/video]
<pre>&#91;video]https://www.youtube.com/watch?v=s9_6bEsMmJc&#91;/video]</pre>
[/symple_column]
</div>


<!-- TESTIMONIALS -->
<div class="shortcode_feature" id="section-testimonials">
[symple_column size="two-fifth"]
	<h2>Testimionials</h2>
	<p>You already know you're pretty awesome - but what about sharing what others think? Share testimonies from your customers!</p>
	<br />
	<h4>Parameters</h4>
	<ul>
		<li><strong>by</strong> - name of person who said the testimonial</li>
		<li><strong>class</strong> - give your shortcode a unique classname for custom styling</li>
	</ul>
[/symple_column]

[symple_column size="three-fifth" position="last"]
[symple_testimonial by="John Appleseed"]<img src="http://themes.vective.co/cadence/wp-content/themes/cadence/images/demo_testimony_photo.jpg" class="alignleft" /> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare quam massa, ut placerat leo lacinia in. Duis adipiscing magna non mi eleifend sollicitudin. Aliquam erat volutpat. In non pellentesque eros, non egestas lectus. In sollicitudin libero nec augue ornare convallis. Morbi id risus sed dolor ultricies tincidunt. Suspendisse quis aliquet mauris, vel fermentum erat. Vestibulum eu aliquet augue, et hendrerit justo.[/symple_testimonial]
<br />
<pre>
&#91;symple_testimonial by="John Appleseed"]&lt;img src="photo.jpg" class="alignleft" /> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare quam massa, ut placerat leo lacinia in. Duis adipiscing magna non mi eleifend sollicitudin. Aliquam erat volutpat. In non pellentesque eros, non egestas lectus. In sollicitudin libero nec augue ornare convallis. Morbi id risus sed dolor ultricies tincidunt. Suspendisse quis aliquet mauris, vel fermentum erat. Vestibulum eu aliquet augue, et hendrerit justo.&#91;/symple_testimonial]
</pre>
[/symple_column]
</div>


<!-- Google Maps -->
<div class="shortcode_feature highlight" id="section-maps">
[symple_column size="two-fifth"]
	<h2>Google Maps</h2>
	<p>How about detailing an address with a Google Map?</p>
	<br />
	<h4>Parameters</h4>

	<ul>
		<li><strong>title</strong> - your desired text title</li>
		<li><strong>location</strong> - address</li>
		<li><strong>height</strong> - desired height (required)</li>
		<li><strong>zoom</strong> - map zoom value, default is 8</li>
		<li><strong>class</strong> - give your shortcode a unique classname for custom styling</li>
	</ul>
[/symple_column]

[symple_column size="three-fifth" position="last"]
[symple_googlemap title="Envato Office" location="2 Elizabeth St, Melbourne Victoria 3000 Australia" zoom="10" height=250]<br />
<pre>
&#91;symple_googlemap title="Envato Office" location="2 Elizabeth St, Melbourne Victoria 3000 Australia" zoom="10" height=250]
</pre>
[/symple_column]
</div>


<!-- Highlights -->
<div class="shortcode_feature" id="section-highlights">
	<h2>Highlights</h2>
	<p>Highlight text with a vengence!</p>

	<p>[symple_highlight color="yellow"]Make important points stand out![/symple_highlight] Etiam rhoncus accumsan elit sed. [symple_highlight color="blue"]Lorem ipsum t, consectetur adipiscing elit.[/symple_highlight] [symple_highlight color="red"]Etiam rhoncus accumsan elit sedLorem ipsum t,[/symple_highlight] consectetur adipiscing elit. [symple_highlight color="green"]Etiam rhoncus accumsan elit sed.[/symple_highlight]Etiam rhoncus accumsan elit sed.</p>


<pre>&lt;p>&#91;symple_highlight color="yellow"]Make important points stand out!&#91;/symple_highlight] Etiam rhoncus accumsan elit sed. &#91;symple_highlight color="blue"]Lorem ipsum t, consectetur adipiscing elit.&#91;/symple_highlight] &#91;symple_highlight color="red"]Etiam rhoncus accumsan elit sedLorem ipsum t,&#91;/symple_highlight] consectetur adipiscing elit. &#91;symple_highlight color="green"]Etiam rhoncus accumsan elit sed.&#91;/symple_highlight]Etiam rhoncus accumsan elit sed.&lt;/p></pre>
</div>


<!-- Buttons -->
<div class="shortcode_feature highlight" id="section-buttons">
	[symple_column size="two-fifth"]
	<h2>Buttons</h2>
	<p>Make your visitors press your buttons... in a good way!</p>
	[/symple_column]
	[symple_column size="three-fifth" position="last"]
	<a href="#" class="button">Primary</a>
	<a href="#" class="button secondary">Secondary</a>
	<p><pre>Apply the CSS class "btn" to &lt;a> and &lt;button> elements to create a standard button.<br/><br/>Example:<br/>&lt;a href="#" class="button">Primary&lt;/a><br />&lt;a href="#" class="button secondary">Secondary&lt;/a></pre></p>
	[/symple_column]
	<br /><br />
	[symple_column size="two-fifth"]
	<h3>Custom Buttons</h3>
	<p>If you're looking to do something a little different than the "norm", here are some stylized buttons you can use.</p>
	<br />
	<h4>Parameters</h4>
	<ul>
		<li><strong>color</strong> - black, red, orange, blue, pink, rosy, green, brown, purple, gold, teal</li>
		<li><strong>url</strong> - http://www.example.com</li>
		<li><strong>title</strong> - this is the link title value</li>
		<li><strong>target</strong> - blank, self</li>
		<li><strong>border_radius</strong> - any pixel value - use 99px for pill-shaped buttons</li>
		<li><strong>class</strong> - give your shortcode a unique classname for custom styling</li>
		<li><strong>icon_left</strong> - enter the name of an icon from <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/">FontAwesome</a></li>
		<li><strong>icon_right</strong> - enter the name of an icon from <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/">FontAwesome</a></li>
	</ul>
	[/symple_column]
	[symple_column size="three-fifth" position="last"]
		[symple_button color="black" url="#"]Button[/symple_button]
		[symple_button color="red" url="#"]Button[/symple_button]
		[symple_button color="orange" url="#"]Button[/symple_button]
		[symple_button color="blue" url="#"]Button[/symple_button]
		[symple_button color="pink" url="#"]Button[/symple_button]
		[symple_button color="rosy" url="#"]Button[/symple_button]
		[symple_button color="green" url="#"]Button[/symple_button]
		[symple_button color="brown" url="#"]Button[/symple_button]
		[symple_button color="purple" url="#"]Button[/symple_button]
		[symple_button color="gold" url="#"]Button[/symple_button]
		[symple_button color="teal" url="#"]Button[/symple_button]
	<br /><br />
	<pre>&#91;symple_button color="black" url="#"]Button&#91;/symple_button]
&#91;symple_button color="red" url="#"]Button&#91;/symple_button]
&#91;symple_button color="orange" url="#"]Button&#91;/symple_button]
&#91;symple_button color="blue" url="#"]Button&#91;/symple_button]
&#91;symple_button color="pink" url="#"]Button&#91;/symple_button]
&#91;symple_button color="rosy" url="#"]Button&#91;/symple_button]
&#91;symple_button color="green" url="#"]Button&#91;/symple_button]
&#91;symple_button color="brown" url="#"]Button&#91;/symple_button]
&#91;symple_button color="purple" url="#"]Button&#91;/symple_button]
&#91;symple_button color="gold" url="#"]Button&#91;/symple_button]
&#91;symple_button color="teal" url="#"]Button&#91;/symple_button]</pre>
	[/symple_column]
</div>

<!-- Boxes -->
<div class="shortcode_feature" id="section-boxes">
	[symple_column size="two-fifth"]
	<h2>Boxes</h2>
	<p>Every once and awhile you need a good box to display important messages, right?</p>
	<br />
	<h4>Parameters</h4>
	<ul>
		<li><strong>color</strong> - gray, green, yellow, blue, red</li>
		<li><strong>class</strong> - give your shortcode a unique classname for custom styling</li>
	</ul>
	[/symple_column]

	[symple_column size="three-fifth" position="last"]
		[symple_box color="gray"]<p>Sample Content</p>[/symple_box]
		[symple_box color="green"]<p>Sample Content</p>[/symple_box]
		[symple_box color="yellow"]<p>Sample Content</p>[/symple_box]
		[symple_box color="blue"]<p>Sample Content</p>[/symple_box]
		[symple_box color="red"]<p>Sample Content</p>[/symple_box]

		<pre>&#91;symple_box color="gray"]&lt;p>Sample Content&lt;/p>&#91;/symple_box]
&#91;symple_box color="green"]&lt;p>Sample Content&lt;/p>&#91;/symple_box]
&#91;symple_box color="yellow"]&lt;p>Sample Content&lt;/p>&#91;/symple_box]
&#91;symple_box color="blue"]&lt;p>Sample Content&lt;/p>&#91;/symple_box]
&#91;symple_box color="red"]&lt;p>Sample Content&lt;/p>&#91;/symple_box]</pre>
	[/symple_column]
</div>

<!-- Dividers -->
<div class="shortcode_feature highlight" id="section-dividers">
	[symple_column size="two-fifth"]
	<h2>Dividers</h2>
	<p>Divide things, with style.</p>
	<br />
	<h4>Parameters</h4>
	<ul>
		<li><strong>style</strong> - solid, dashed, dotted, double</li>
		<li><strong>margin_top</strong> - margin top, measured in pixels</li>
		<li><strong>margin_bottom</strong> - margin bottom, measured in pixels</li>
	</ul>
	[/symple_column]

	[symple_column size="three-fifth" position="last"]
		[symple_divider style="solid" margin_bottom="20px"]

		[symple_divider style="dashed" margin_bottom="20px"]

		[symple_divider style="dotted" margin_bottom="20px"]

		[symple_divider style="double" margin_bottom="20px"]

		<pre>&#91;symple_divider style="solid"]
&#91;symple_divider style="dashed"]
&#91;symple_divider style="dotted"]
&#91;symple_divider style="double"]</pre>
	[/symple_column]
</div>

<!-- Toggles -->
<div class="shortcode_feature" id="section-toggles">
	<h2>Toggles</h2>
	[symple_toggle title="This Is Your Toggle Title"]Sample Content[/symple_toggle]
	[symple_toggle title="Multiple Toggles Are Nice"]Sample Content[/symple_toggle]
	<br />
	<pre>&#91;symple_toggle title="This Is Your Toggle Title"]Sample Content&#91;/symple_toggle]
&#91;symple_toggle title="Multiple Toggles Are Nice"]Sample Content&#91;/symple_toggle]</pre>
</div>

<!-- Accordion -->
<div class="shortcode_feature highlight" id="section-accordions">
	<h2>Accordions</h2>
	[symple_accordion]
		[symple_accordion_section title="Section 1"]
			Sample Content
		[/symple_accordion_section]
		[symple_accordion_section title="Section 2"]
			Sample Content
		[/symple_accordion_section]
	[/symple_accordion]
	<br />
	<pre>&#91;symple_accordion]
	&#91;symple_accordion_section title="Section 1"]
		Sample Content
	&#91;/symple_accordion_section]
	&#91;symple_accordion_section title="Section 2"]
		Sample Content
	&#91;/symple_accordion_section]
&#91;/symple_accordion]</pre>
</div>

<!-- Tabs -->
<div class="shortcode_feature" id="section-tabs">
	<h2>Tabs</h2>
	[symple_tabgroup]
		[symple_tab title="First Tab"]
		First tab content
		[/symple_tab]

		[symple_tab title="Second Tab"]
		Third Tab Content.
		[/symple_tab]
	[/symple_tabgroup]
	<br />
	<pre>&#91;symple_tabgroup]
	&#91;symple_tab title="First Tab"]
	First tab content
	&#91;/symple_tab]
	
	&#91;symple_tab title="Second Tab"]
	Third Tab Content.
	&#91;/symple_tab]
&#91;/symple_tabgroup]</pre>
</div>

<!-- Headings -->
<div class="shortcode_feature highlight" id="section-headings">
	<h2>Headings</h2>

	<h1>H1 Heading</h1>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac mattis nisl. Nulla cursus justo id eros luctus imperdiet id eget tellus. Nullam sit amet neque elementum nunc sollicitudin facilisis. Aliquam quis quam dui, vitae condimentum quam.</p>

	<h2>H2 Heading</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac mattis nisl. Nulla cursus justo id eros luctus imperdiet id eget tellus. Nullam sit amet neque elementum nunc sollicitudin facilisis. Aliquam quis quam dui, vitae condimentum quam.</p>

	<h3>H3 Heading</h3>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac mattis nisl. Nulla cursus justo id eros luctus imperdiet id eget tellus. Nullam sit amet neque elementum nunc sollicitudin facilisis. Aliquam quis quam dui, vitae condimentum quam.</p>

	<h4>H4 Heading</h4>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac mattis nisl. Nulla cursus justo id eros luctus imperdiet id eget tellus. Nullam sit amet neque elementum nunc sollicitudin facilisis. Aliquam quis quam dui, vitae condimentum quam.</p>

	<h5>H5 Heading</h5>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac mattis nisl. Nulla cursus justo id eros luctus imperdiet id eget tellus. Nullam sit amet neque elementum nunc sollicitudin facilisis. Aliquam quis quam dui, vitae condimentum quam.</p>

	<h6>H6 Heading</h6>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac mattis nisl. Nulla cursus justo id eros luctus imperdiet id eget tellus. Nullam sit amet neque elementum nunc sollicitudin facilisis. Aliquam quis quam dui, vitae condimentum quam.</p>
</div>

<!-- Columns -->
<div class="shortcode_feature" id="section-columns">
	<h2>Columns</h2>
[symple_column size="one-half"]<h3>One Half</h3><p><strong>&#91;symple_column size="one-half"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-half" position="last"]<h3>One Half</h3><p><strong>&#91;symple_column size="one-half" position="last"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-third"]<h3>One Third</h3><p><strong>&#91;symple_column size="one-third"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-third"]<h3>One Third</h3><p><strong>&#91;symple_column size="one-third"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-third" position="last"]<h3>One Third</h3><p><strong>&#91;symple_column size="one-third" position="last"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-third"]<h3>One Third</h3><p><strong>&#91;symple_column size="one-third"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>[/symple_column]

[symple_column size="two-third" position="last"]<h3>Two Third</h3><p><strong>&#91;symple_column size="two-third" position="last"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]
<br class="clear" />
[symple_column size="one-fourth"]<h3>One Fourth</h3><p><strong>&#91;symple_column size="one-fourth"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-fourth"]<h3>One Fourth</h3><p><strong>&#91;symple_column size="one-fourth"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-fourth"]<h3>One Fourth</h3><p><strong>&#91;symple_column size="one-fourth"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-fourth" position="last"]<h3>One Fourth</h3><p><strong>&#91;symple_column size="one-fourth" position="last"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]

[symple_column size="one-fourth"]<h3>One Fourth</h3><p><strong>&#91;symple_column size="one-fourth"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et.</p>[/symple_column]

[symple_column size="three-fourth" position="last"]<h3>Three Fourth</h3><p><strong>&#91;symple_column size="three-fourth" position="last"]</strong></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.</p>[/symple_column]
</div>

			</div>
		</div>
	</article>
</div>
<?php 

$content = ob_get_contents();
ob_end_clean();

echo do_shortcode($content);

get_footer();